## mauiman 4.0.2+p24.04+vstable+git20250916.2327

=== server/CMakeLists.txt ===
# Copyright 2018-2020 Camilo Higuita <milo.h@aol.com>
# Copyright 2018-2020 Nitrux Latinoamericana S.C.
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

project(MauiManServer VERSION ${MAUIMAN_VERSION})

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core DBus Gui)

add_subdirectory(src)

configure_file(org.mauiman.Manager.service.in.${QT_MAJOR_VERSION}
    ${CMAKE_CURRENT_BINARY_DIR}/org.mauiman.Manager${MAUI_MAJOR_VERSION}.service)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.mauiman.Manager${MAUI_MAJOR_VERSION}.service
    DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== server/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR})

set(mauimanserver_SRCS
    main.cpp
    server.cpp
    modules/background.cpp
    modules/theme.cpp
    modules/screen.cpp
    modules/locale.cpp
    modules/formfactor.cpp
    modules/accessibility.cpp
    modules/inputdevices.cpp)

qt_add_dbus_adaptor(DBUS_SOURCES modules/org.mauiman.Background.xml modules/background.h Background)
qt_add_dbus_adaptor(DBUS_SOURCES modules/org.mauiman.Theme.xml modules/theme.h Theme)
qt_add_dbus_adaptor(DBUS_SOURCES modules/org.mauiman.Screen.xml modules/screen.h Screen)
qt_add_dbus_adaptor(DBUS_SOURCES modules/org.mauiman.FormFactor.xml modules/formfactor.h FormFactor)
qt_add_dbus_adaptor(DBUS_SOURCES modules/org.mauiman.Accessibility.xml modules/accessibility.h Accessibility)
qt_add_dbus_adaptor(DBUS_SOURCES modules/org.mauiman.InputDevices.xml modules/inputdevices.h InputDevices)

set_source_files_properties(${DBUS_SOURCES} PROPERTIES SKIP_AUTOGEN ON)

add_executable(${PROJECT_NAME}${MAUI_MAJOR_VERSION}
    ${mauimanserver_SRCS}
    ${DBUS_SOURCES})

target_include_directories(${PROJECT_NAME}${MAUI_MAJOR_VERSION}
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}>")

target_include_directories(${PROJECT_NAME}${MAUI_MAJOR_VERSION} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_BINARY_DIR};>")

target_link_libraries(${PROJECT_NAME}${MAUI_MAJOR_VERSION}
    PRIVATE
    MauiMan${MAUI_MAJOR_VERSION}
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Gui
    Qt${QT_MAJOR_VERSION}::DBus)

install(TARGETS ${PROJECT_NAME}${MAUI_MAJOR_VERSION} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
mauiman (4.0.2+p24.04+vstable+git20250916.2327-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 23:27:02 +0000

mauiman (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 30 May 2025 01:28:09 +0000

mauiman (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Dec 2024 08:56:21 +0000

mauiman (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Aug 2023 15:21:15 +1000

mauiman (3.1.0-0neon) jammy; urgency=medium

  * New release
 -- Neon CI <neon@kde.org>  Sun, 25 Feb 2024 01:28:10 +0000

mauiman (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Aug 2023 15:21:15 +1000

mauiman (1.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 01:28:05 +0000

mauiman (1.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 01:28:07 +0000

mauiman (1.0.1-0neon) jammy; urgency=medium

  * Initial release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 19 Feb 2023 06:13:50 +1000

## mauiman 4.0.2+p24.04+vstable+git20250925.1343

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(MauiManGroup)

set(QT_MAJOR_VERSION 6)
set(REQUIRED_QT_VERSION 6.4)

set(KF_MAJOR_VERSION 6)
set(REQUIRED_KF_VERSION 5.240.0)

set(MAUI_MAJOR_VERSION 4)
set(MAUIMAN_VERSION 4.0.3)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(ECM ${REQUIRED_KF_VERSION} NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(GNUInstallDirs)
include(FeatureSummary)
include(ECMSetupVersion)

include(CMakePackageConfigHelpers)
include(KDEPackageAppTemplates)
include(KDECompilerSettings)
include(KDEInstallDirs)
include(KDECMakeSettings)

add_subdirectory(lib) #adds mauiman libs

if(UNIX AND NOT APPLE AND NOT ANDROID)
    add_subdirectory(server) #adds and installs the dbus service and is a server
endif()

=== lib/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}

    ${CMAKE_CURRENT_SOURCE_DIR}/modules)

set(mauiman_HDRS
    settingsstore.h
    modules/backgroundmanager.h
    modules/thememanager.h
    modules/screenmanager.h
    modules/formfactormanager.h
    modules/accessibilitymanager.h
    modules/inputdevicesmanager.h
    mauimanutils.h)

set(mauiman_SRCS
    settingsstore.cpp
    modules/backgroundmanager.cpp
    modules/thememanager.cpp
    modules/screenmanager.cpp
    modules/formfactormanager.cpp
    modules/accessibilitymanager.cpp
    modules/inputdevicesmanager.cpp
    mauimanutils.cpp)

add_library(${PROJECT_NAME}${MAUI_MAJOR_VERSION}
    SHARED
    ${mauiman_SRCS})

generate_export_header(${PROJECT_NAME}${MAUI_MAJOR_VERSION} BASE_NAME MauiMan)

target_include_directories(${PROJECT_NAME}${MAUI_MAJOR_VERSION}
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}>")

target_include_directories(${PROJECT_NAME}${MAUI_MAJOR_VERSION} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_BINARY_DIR};>")

if(UNIX AND NOT APPLE AND NOT ANDROID)
    target_link_libraries(${PROJECT_NAME}${MAUI_MAJOR_VERSION} PRIVATE Qt${QT_MAJOR_VERSION}::DBus)
endif()

target_link_libraries(${PROJECT_NAME}${MAUI_MAJOR_VERSION}
    PRIVATE
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Gui)

set_target_properties(${PROJECT_NAME}${MAUI_MAJOR_VERSION}
    PROPERTIES
    VERSION ${MAUIMAN_VERSION}
    SOVERSION ${MAUI_MAJOR_VERSION})

install(FILES
    ${mauiman_HDRS}
    ${CMAKE_CURRENT_BINARY_DIR}/mauiman_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/MauiMan${MAUI_MAJOR_VERSION}
    COMPONENT Devel)

install(TARGETS ${PROJECT_NAME}${MAUI_MAJOR_VERSION} EXPORT MauiMan${MAUI_MAJOR_VERSION}Targets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
mauiman (4.0.2+p24.04+vstable+git20250925.1343-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 13:44:01 +0000

=== debian/control ===
Source: mauiman
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               ninja-build,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://maui-project.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mauiman.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mauiman
Maintainer: Neon CI <neon@kde.org>

Package: mauiman
Architecture: any
Depends: libmauiman, ${misc:Depends}, ${shlibs:Depends}
Description: Maui Manager Library for MAUI Apps.
 This package contains the mauiman server and dbus activation.

Package: libmauiman
Architecture: any
Depends: cask-server, mauiman, ${misc:Depends}, ${shlibs:Depends}
Description: Maui Manager Library for MAUI Apps.
 This package contains the mauiman library.

Package: mauiman-dev
Architecture: any
Depends: libmauiman, qt6-base-dev, ${misc:Depends}, ${shlibs:Depends}
Description: Maui Manager Library for MAUI Apps.
 This package contains mauiman development files
